/*
 * Copyright 2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v14.0
processor: MCXN947
package_id: MCXN947VDF
mcu_data: ksdk2_0
processor_version: 14.0.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitDebugConsolePins();
    BOARD_InitCameraPins();
    BOARD_InitFlexioPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitDebugConsolePins:
- options: {callFromInitBoot: 'true', coreID: cm33_core0, enableClock: 'true'}
- pin_list:
  - {pin_num: A1, peripheral: LP_FLEXCOMM4, signal: LPFLEXCOMM_P0, pin_signal: PIO1_8/WUU0_IN10/LPTMR1_ALT3/TRACE_DATA0/FC4_P0/FC5_P4/CT_INP8/SCT0_OUT2/FLEXIO0_D16/PLU_OUT0/ENET0_TXD2/I3C1_SDA/TSI0_CH17/ADC1_A8}
  - {pin_num: B1, peripheral: LP_FLEXCOMM4, signal: LPFLEXCOMM_P1, pin_signal: PIO1_9/TRACE_DATA1/FC4_P1/FC5_P5/CT_INP9/SCT0_OUT3/FLEXIO0_D17/PLU_OUT1/ENET0_TXD3/I3C1_SCL/TSI0_CH18/ADC1_A9}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitDebugConsolePins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitDebugConsolePins(void)
{
    /* Enables the clock for PORT1: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port1);

    /* PORT1_8 (pin A1) is configured as FC4_P0 */
    PORT_SetPinMux(PORT1, 8U, kPORT_MuxAlt2);

    PORT1->PCR[8] = ((PORT1->PCR[8] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_9 (pin B1) is configured as FC4_P1 */
    PORT_SetPinMux(PORT1, 9U, kPORT_MuxAlt2);

    PORT1->PCR[9] = ((PORT1->PCR[9] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitCameraPins:
- options: {callFromInitBoot: 'true', coreID: cm33_core0, enableClock: 'true'}
- pin_list:
  - {pin_num: D15, peripheral: LP_FLEXCOMM7, signal: LPFLEXCOMM_P0, pin_signal: PIO3_2/FC7_P0/CT4_MAT0/PWM0_X0/FLEXIO0_D10/SIM1_PD}
  - {pin_num: D16, peripheral: LP_FLEXCOMM7, signal: LPFLEXCOMM_P1, pin_signal: PIO3_3/FC7_P1/CT4_MAT1/PWM0_X1/FLEXIO0_D11/SIM1_RST}
  - {pin_num: A14, peripheral: GPIO0, signal: 'GPIO, 5', pin_signal: PIO0_5/EWM0_OUT_b/FC0_P1/FC1_P5/CT0_MAT3/UTICK_CAP3/PDM0_DATA0/TSI0_CH9}
  - {pin_num: B11, peripheral: GPIO0, signal: 'GPIO, 11', pin_signal: PIO0_11/CT0_MAT1/FLEXIO0_D3/HSCMP2_OUT/ADC0_B11}
  - {pin_num: H3, peripheral: SCG0, signal: CLKOUT, pin_signal: PIO2_2/WUU0_IN16/CLKOUT/FC9_P3/SDHC0_D1/SCT0_OUT0/PWM1_A2/FLEXIO0_D10/FLEXSPI0_B_SS0_b/SINC0_MCLK0/SAI0_TXD0}
  - {pin_num: B3, peripheral: GPIO1, signal: 'GPIO, 5', pin_signal: PIO1_5/FREQME_CLK_IN1/FC3_P5/FC5_P1/CT1_MAT3/SCT0_OUT1/FLEXIO0_D13/ENET0_TXEN/SAI0_RXD1/TSI0_CH5/ADC0_A21/CMP0_IN3}
  - {pin_num: B2, peripheral: GPIO1, signal: 'GPIO, 6', pin_signal: PIO1_6/TRIG_IN2/FC3_P6/FC5_P2/CT_INP6/SCT0_IN0/FLEXIO0_D14/ENET0_TXD0/SAI1_RX_BCLK/CAN1_TXD/TSI0_CH6/ADC0_A22}
  - {pin_num: A2, peripheral: GPIO1, signal: 'GPIO, 7', pin_signal: PIO1_7/WUU0_IN9/TRIG_OUT2/FC5_P3/CT_INP7/SCT0_IN1/FLEXIO0_D15/PLU_CLK/ENET0_TXD1/SAI1_RX_FS/CAN1_RXD/TSI0_CH7/ADC0_A23}
  - {pin_num: D3, peripheral: GPIO1, signal: 'GPIO, 11', pin_signal: PIO1_11/WUU0_IN11/TRACE_DATA3/FC4_P3/CT2_MAT1/SCT0_IN3/FLEXIO0_D19/PLU_IN1/ENET0_RX_CLK/I3C1_PUR/CAN0_RXD/TSI0_CH20/ADC1_A11,
    slew_rate: fast}
  - {pin_num: F14, peripheral: GPIO3, signal: 'GPIO, 4', pin_signal: PIO3_4/FC7_P2/CT_INP18/PWM0_X2/FLEXIO0_D12/SIM1_CLK}
  - {pin_num: G14, peripheral: GPIO3, signal: 'GPIO, 5', pin_signal: PIO3_5/FC7_P3/CT_INP19/PWM0_X3/FLEXIO0_D13/SIM1_IO}
  - {pin_num: C3, peripheral: GPIO1, signal: 'GPIO, 10', pin_signal: PIO1_10/TRACE_DATA2/FC4_P2/FC5_P6/CT2_MAT0/SCT0_IN2/FLEXIO0_D18/PLU_IN0/ENET0_TXER/CAN0_TXD/TSI0_CH19/ADC1_A10,
    slew_rate: fast}
  - {pin_num: A4, peripheral: GPIO1, signal: 'GPIO, 4', pin_signal: PIO1_4/WUU0_IN8/FREQME_CLK_IN0/FC3_P4/FC5_P0/CT1_MAT2/SCT0_OUT0/FLEXIO0_D12/ENET0_TX_CLK/SAI0_TXD1/TSI0_CH4/ADC0_A20/CMP0_IN2}
  - {pin_num: B14, peripheral: GPIO0, signal: 'GPIO, 4', pin_signal: PIO0_4/WUU0_IN0/EWM0_IN/FC0_P0/FC1_P4/CT0_MAT2/UTICK_CAP2/HSCMP1_OUT/PDM0_CLK/TSI0_CH8}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitCameraPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitCameraPins(void)
{
    /* Enables the clock for PORT0 controller: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port0);
    /* Enables the clock for PORT1: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port1);
    /* Enables the clock for PORT2: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port2);
    /* Enables the clock for PORT3: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port3);

    /* PORT0_11 (pin B11) is configured as PIO0_11 */
    PORT_SetPinMux(PORT0, 11U, kPORT_MuxAlt0);

    PORT0->PCR[11] = ((PORT0->PCR[11] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_4 (pin B14) is configured as PIO0_4 */
    PORT_SetPinMux(PORT0, 4U, kPORT_MuxAlt0);

    PORT0->PCR[4] = ((PORT0->PCR[4] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_5 (pin A14) is configured as PIO0_5 */
    PORT_SetPinMux(PORT0, 5U, kPORT_MuxAlt0);

    PORT0->PCR[5] = ((PORT0->PCR[5] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_10 (pin C3) is configured as EZH_PIO6. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT1, 10U, kPORT_MuxAlt7);

    PORT1->PCR[10] = ((PORT1->PCR[10] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_SRE_MASK | PORT_PCR_IBE_MASK)))

                      /* Slew Rate Enable: Fast. */
                      | PORT_PCR_SRE(PCR_SRE_sre0)

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_11 (pin D3) is configured as EZH_PIO7. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT1, 11U, kPORT_MuxAlt7);

    PORT1->PCR[11] = ((PORT1->PCR[11] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_SRE_MASK | PORT_PCR_IBE_MASK)))

                      /* Slew Rate Enable: Fast. */
                      | PORT_PCR_SRE(PCR_SRE_sre0)

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_4 (pin A4) is configured as EZH_PIO0. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT1, 4U, kPORT_MuxAlt7);

    PORT1->PCR[4] = ((PORT1->PCR[4] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_5 (pin B3) is configured as EZH_PIO1. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT1, 5U, kPORT_MuxAlt7);

    PORT1->PCR[5] = ((PORT1->PCR[5] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_6 (pin B2) is configured as EZH_PIO2. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT1, 6U, kPORT_MuxAlt7);

    PORT1->PCR[6] = ((PORT1->PCR[6] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT1_7 (pin A2) is configured as EZH_PIO3. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT1, 7U, kPORT_MuxAlt7);

    PORT1->PCR[7] = ((PORT1->PCR[7] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_2 (pin H3) is configured as CLKOUT */
    PORT_SetPinMux(PORT2, 2U, kPORT_MuxAlt1);

    PORT2->PCR[2] = ((PORT2->PCR[2] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT3_2 (pin D15) is configured as FC7_P0 */
    PORT_SetPinMux(PORT3, 2U, kPORT_MuxAlt2);

    PORT3->PCR[2] = ((PORT3->PCR[2] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT3_3 (pin D16) is configured as FC7_P1 */
    PORT_SetPinMux(PORT3, 3U, kPORT_MuxAlt2);

    PORT3->PCR[3] = ((PORT3->PCR[3] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT3_4 (pin F14) is configured as EZH_PIO4. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT3, 4U, kPORT_MuxAlt7);

    PORT3->PCR[4] = ((PORT3->PCR[4] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT3_5 (pin G14) is configured as EZH_PIO5. TODO not supported in pin tool yet. */
    PORT_SetPinMux(PORT3, 5U, kPORT_MuxAlt7);

    PORT3->PCR[5] = ((PORT3->PCR[5] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitFlexioPins:
- options: {callFromInitBoot: 'true', coreID: cm33_core0, enableClock: 'true'}
- pin_list:
  - {pin_num: C13, peripheral: GPIO0, signal: 'GPIO, 7', pin_signal: PIO0_7/WUU0_IN1/FC0_P3/CT_INP3/CMP2_IN1}
  - {pin_num: D11, peripheral: GPIO0, signal: 'GPIO, 12', pin_signal: PIO0_12/FC1_P4/FC0_P0/CT0_MAT2/FLEXIO0_D4/ADC0_B12}
  - {pin_num: T4, peripheral: GPIO4, signal: 'GPIO, 7', pin_signal: PIO4_7/CT_INP19}
  - {pin_num: C12, peripheral: FLEXIO0, signal: 'D, 0', pin_signal: PIO0_8/FC0_P4/CT_INP0/FLEXIO0_D0/ADC0_B8}
  - {pin_num: A12, peripheral: FLEXIO0, signal: 'D, 1', pin_signal: PIO0_9/FC0_P5/CT_INP1/FLEXIO0_D1/ADC0_B9}
  - {pin_num: M2, peripheral: FLEXIO0, signal: 'D, 16', pin_signal: PIO2_8/TRACE_DATA0/SDHC0_D7/SCT0_IN2/PWM1_X0/FLEXIO0_D16/FLEXSPI0_B_DATA4/SINC0_MCLK3/SAI1_TXD0}
  - {pin_num: M1, peripheral: FLEXIO0, signal: 'D, 17', pin_signal: PIO2_9/TRACE_DATA1/SDHC0_D6/SCT0_IN3/PWM1_X1/FLEXIO0_D17/FLEXSPI0_B_DATA5/SINC0_MBIT3/SAI1_RXD0}
  - {pin_num: M3, peripheral: FLEXIO0, signal: 'D, 18', pin_signal: PIO2_10/TRACE_DATA2/SCT0_IN4/PWM1_X2/FLEXIO0_D18/FLEXSPI0_B_DATA6/SINC0_MCLK4/SAI1_RXD1}
  - {pin_num: N4, peripheral: FLEXIO0, signal: 'D, 19', pin_signal: PIO2_11/TRACE_DATA3/SCT0_IN5/PWM1_X3/FLEXIO0_D19/FLEXSPI0_B_DATA7/SINC0_MBIT4/SAI1_TXD1}
  - {pin_num: T6, peripheral: FLEXIO0, signal: 'D, 20', pin_signal: PIO4_12/WUU0_IN20/USB0_VBUS_DET/FC2_P0/CT4_MAT0/FLEXIO0_D20/PLU_OUT0/SINC0_MCLK0/CAN0_RXD/OPAMP0_INP0/ADC0_A5/ADC1_A5}
  - {pin_num: N8, peripheral: FLEXIO0, signal: 'D, 22', pin_signal: PIO4_14/CT4_MAT2/FLEXIO0_D22/PLU_OUT2}
  - {pin_num: T7, peripheral: FLEXIO0, signal: 'D, 21', pin_signal: PIO4_13/TRIG_IN8/FC2_P1/USB1_ID/CT4_MAT1/FLEXIO0_D21/PLU_OUT1/SINC0_MBIT0/CAN0_TXD/OPAMP0_INP1/ADC0_B5/ADC1_B5}
  - {pin_num: T8, peripheral: FLEXIO0, signal: 'D, 23', pin_signal: PIO4_15/WUU0_IN21/TRIG_OUT4/USB1_VBUS_DIG/CT4_MAT3/FLEXIO0_D23/PLU_OUT3/SINC0_MCLK_OUT0/CAN1_RXD/OPAMP0_OUT/ADC0_A1/CMP0_IN4P}
  - {pin_num: R8, peripheral: FLEXIO0, signal: 'D, 24', pin_signal: PIO4_16/FC2_P2/USB1_OTG_PWR/CT3_MAT0/FLEXIO0_D24/PLU_OUT4/SINC0_MCLK1/CAN1_TXD/OPAMP1_INP0/ADC0_A6}
  - {pin_num: N10, peripheral: FLEXIO0, signal: 'D, 26', pin_signal: PIO4_18/CT3_MAT2/FLEXIO0_D26/PLU_OUT6}
  - {pin_num: R9, peripheral: FLEXIO0, signal: 'D, 25', pin_signal: PIO4_17/TRIG_IN9/FC2_P3/USB1_OTG_OC/CT3_MAT1/FLEXIO0_D25/PLU_OUT5/SINC0_MBIT1/OPAMP1_INP1/ADC0_B6}
  - {pin_num: R10, peripheral: FLEXIO0, signal: 'D, 27', pin_signal: PIO4_19/TRIG_OUT5/CT3_MAT3/FLEXIO0_D27/PLU_OUT7/SINC0_MCLK_OUT1/OPAMP1_OUT/ADC0_B1/CMP1_IN4P}
  - {pin_num: T10, peripheral: FLEXIO0, signal: 'D, 28', pin_signal: PIO4_20/TRIG_IN8/FC2_P4/CT2_MAT0/FLEXIO0_D28/SINC0_MCLK2/OPAMP2_INP0/ADC1_A6}
  - {pin_num: T11, peripheral: FLEXIO0, signal: 'D, 29', pin_signal: PIO4_21/TRIG_IN9/FC2_P5/CT2_MAT1/FLEXIO0_D29/SINC0_MBIT2/OPAMP2_INP1/ADC1_B6}
  - {pin_num: T12, peripheral: FLEXIO0, signal: 'D, 30', pin_signal: PIO4_22/CT2_MAT2/FLEXIO0_D30}
  - {pin_num: U12, peripheral: FLEXIO0, signal: 'D, 31', pin_signal: PIO4_23/TRIG_OUT5/FC2_P6/CT2_MAT3/FLEXIO0_D31/SINC0_MCLK_OUT2/OPAMP2_OUT/ADC0_A2/ADC0_B2/ADC1_B3/CMP2_IN4P}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitFlexioPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitFlexioPins(void)
{
    /* Enables the clock for PORT0 controller: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port0);
    /* Enables the clock for PORT2: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port2);
    /* Enables the clock for PORT4: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port4);

    /* PORT0_12 (pin D11) is configured as PIO0_12 */
    PORT_SetPinMux(PORT0, 12U, kPORT_MuxAlt0);

    PORT0->PCR[12] = ((PORT0->PCR[12] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_7 (pin C13) is configured as PIO0_7 */
    PORT_SetPinMux(PORT0, 7U, kPORT_MuxAlt0);

    PORT0->PCR[7] = ((PORT0->PCR[7] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_8 (pin C12) is configured as FLEXIO0_D0 */
    PORT_SetPinMux(PORT0, 8U, kPORT_MuxAlt6);

    PORT0->PCR[8] = ((PORT0->PCR[8] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_9 (pin A12) is configured as FLEXIO0_D1 */
    PORT_SetPinMux(PORT0, 9U, kPORT_MuxAlt6);

    PORT0->PCR[9] = ((PORT0->PCR[9] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_10 (pin M3) is configured as FLEXIO0_D18 */
    PORT_SetPinMux(PORT2, 10U, kPORT_MuxAlt6);

    PORT2->PCR[10] = ((PORT2->PCR[10] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_11 (pin N4) is configured as FLEXIO0_D19 */
    PORT_SetPinMux(PORT2, 11U, kPORT_MuxAlt6);

    PORT2->PCR[11] = ((PORT2->PCR[11] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_8 (pin M2) is configured as FLEXIO0_D16 */
    PORT_SetPinMux(PORT2, 8U, kPORT_MuxAlt6);

    PORT2->PCR[8] = ((PORT2->PCR[8] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_9 (pin M1) is configured as FLEXIO0_D17 */
    PORT_SetPinMux(PORT2, 9U, kPORT_MuxAlt6);

    PORT2->PCR[9] = ((PORT2->PCR[9] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_12 (pin T6) is configured as FLEXIO0_D20 */
    PORT_SetPinMux(PORT4, 12U, kPORT_MuxAlt6);

    PORT4->PCR[12] = ((PORT4->PCR[12] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_13 (pin T7) is configured as FLEXIO0_D21 */
    PORT_SetPinMux(PORT4, 13U, kPORT_MuxAlt6);

    PORT4->PCR[13] = ((PORT4->PCR[13] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_14 (pin N8) is configured as FLEXIO0_D22 */
    PORT_SetPinMux(PORT4, 14U, kPORT_MuxAlt6);

    PORT4->PCR[14] = ((PORT4->PCR[14] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_15 (pin T8) is configured as FLEXIO0_D23 */
    PORT_SetPinMux(PORT4, 15U, kPORT_MuxAlt6);

    PORT4->PCR[15] = ((PORT4->PCR[15] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_16 (pin R8) is configured as FLEXIO0_D24 */
    PORT_SetPinMux(PORT4, 16U, kPORT_MuxAlt6);

    PORT4->PCR[16] = ((PORT4->PCR[16] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_17 (pin R9) is configured as FLEXIO0_D25 */
    PORT_SetPinMux(PORT4, 17U, kPORT_MuxAlt6);

    PORT4->PCR[17] = ((PORT4->PCR[17] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_18 (pin N10) is configured as FLEXIO0_D26 */
    PORT_SetPinMux(PORT4, 18U, kPORT_MuxAlt6);

    PORT4->PCR[18] = ((PORT4->PCR[18] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_19 (pin R10) is configured as FLEXIO0_D27 */
    PORT_SetPinMux(PORT4, 19U, kPORT_MuxAlt6);

    PORT4->PCR[19] = ((PORT4->PCR[19] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_20 (pin T10) is configured as FLEXIO0_D28 */
    PORT_SetPinMux(PORT4, 20U, kPORT_MuxAlt6);

    PORT4->PCR[20] = ((PORT4->PCR[20] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_21 (pin T11) is configured as FLEXIO0_D29 */
    PORT_SetPinMux(PORT4, 21U, kPORT_MuxAlt6);

    PORT4->PCR[21] = ((PORT4->PCR[21] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_22 (pin T12) is configured as FLEXIO0_D30 */
    PORT_SetPinMux(PORT4, 22U, kPORT_MuxAlt6);

    PORT4->PCR[22] = ((PORT4->PCR[22] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_23 (pin U12) is configured as FLEXIO0_D31 */
    PORT_SetPinMux(PORT4, 23U, kPORT_MuxAlt6);

    PORT4->PCR[23] = ((PORT4->PCR[23] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_7 (pin T4) is configured as PIO4_7 */
    PORT_SetPinMux(PORT4, 7U, kPORT_MuxAlt0);

    PORT4->PCR[7] = ((PORT4->PCR[7] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
